It's all about the answers!

Ask a question

Error Updating Planned Time using 3.x eclipse client with 4.x server


Robin Parker (32633538) | asked Nov 09 '12, 10:33 a.m.
Hi all,

When testing a 3.0.1.4 eclipse client against a 4.0.0.1 server we have noticed that if you open a work item that has time logged against it, you receive the following error:

Error running operation 'Updating Planned Time'java.lang.ClassCastException: com.ibm.team.repository.common.transport.internal.services.impl.PrimitiveArrayDataArgImpl incompatible with com.ibm.team.repository.common.transport.internal.services.ComplexDataArg  java.lang.ClassCastException: com.ibm.team.repository.common.transport.internal.services.impl.PrimitiveArrayDataArgImpl incompatible with com.ibm.team.repository.common.transport.internal.services.ComplexDataArg

Has anyone else seen this?  Anyone have a resolution?

Many Thanks,

Robin





Comments
Jayson Dai commented Jan 31 '13, 11:56 a.m.

 We upgraded our server from 3.0.1 to 4.0 and we started to get this error when opening an WI with the 3.0.1 client. Is this a defect? 

One answer



permanent link
Aradhya K (1.4k44345) | answered Apr 15 '13, 11:43 p.m.
JAZZ DEVELOPER
Yes there is a defect for this issue.
You can track the changes by subscribing to below defect.
Exception running 'Updating Planned Time' when opening task using 3.0.1.2 RTC Client against 4.0RC1 server (202895)
The fix for this might be part of 4.0.3 release.

Your answer


Register or to post your answer.